[**@rxap/data-grid v19.0.2**](../README.md)

***

[@rxap/data-grid](../globals.md) / DataGridCellDefDirective

# Class: DataGridCellDefDirective\<T\>

Defined in: [data-grid-cell-def.directive.ts:16](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L16)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

## Constructors

### new DataGridCellDefDirective()

> **new DataGridCellDefDirective**\<`T`\>(`template`): [`DataGridCellDefDirective`](DataGridCellDefDirective.md)\<`T`\>

Defined in: [data-grid-cell-def.directive.ts:27](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L27)

#### Parameters

##### template

`TemplateRef`\<[`DataGridCellDefDirectiveContext`](../interfaces/DataGridCellDefDirectiveContext.md)\<`T`\>\>

#### Returns

[`DataGridCellDefDirective`](DataGridCellDefDirective.md)\<`T`\>

## Properties

### $implicit

> **$implicit**: `T`\[keyof `T`\]

Defined in: [data-grid-cell-def.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L24)

***

### data

> **data**: `T`

Defined in: [data-grid-cell-def.directive.ts:25](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L25)

***

### template

> **template**: `TemplateRef`\<[`DataGridCellDefDirectiveContext`](../interfaces/DataGridCellDefDirectiveContext.md)\<`T`\>\>

Defined in: [data-grid-cell-def.directive.ts:29](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L29)

## Methods

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**\<`T`\>(`dir`, `ctx`): `ctx is DataGridCellDefDirectiveContext<T>`

Defined in: [data-grid-cell-def.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-grid/src/lib/data-grid-cell-def.directive.ts#L17)

#### Type Parameters

• **T** *extends* `Record`\<`string`, `any`\>

#### Parameters

##### dir

[`DataGridCellDefDirective`](DataGridCellDefDirective.md)\<`T`\>

##### ctx

`any`

#### Returns

`ctx is DataGridCellDefDirectiveContext<T>`
